import React, { useMemo } from 'react';
import { Avatar, Dropdown, Menu, Space } from 'antd';

export default (props) => {
  const menuItems = [
    {
      key: 'changePassword',
      label: '修改密码',
    }
  ];

  const menu = <Menu items={menuItems} />;

  return (
    <Dropdown overlay={menu}>
      <div className="user-info">
        <Avatar src="https://joeschmoe.io/api/v1/random" />
        <span className='font'>张延森</span>
      </div>
    </Dropdown>
  )
}
